/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.structure.GroupElement"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.ui.structure.GroupElement", null, { //$NON-NLS-1$

	constructor: function() {
	},

	equals: function(other) {
		throw new Error("equals not implemented"); //$NON-NLS-1$
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	getElementKey: function() {
		return this.getId();
	},

	getId: function() {
		throw new Error("getId not implemented"); //$NON-NLS-1$
	},

	canAdopt: function() {
		return true;
	},

	adopt: function() {
		return true;
	},

	compareTo: function(other) {
		throw new Error("compareTo not implemented"); //$NON-NLS-1$
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
