﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class Axis extends ChartObject {

	public var gridData:GridData;

	public static var LINE_COLOUR:Number = 0xc7c7c7;

	public static var LINE_THICKNESS:Number = 1;

	public static var TEXT_FIELD_HEIGHT:Number = 50;	
	
	public static var DASH_LENGTH:Number = 3;
	
	public static var DASH_SPACE_LENGTH:Number = 5;
	
	public static var TICK_LENGTH:Number = 5;
	
	
	public function Axis() {
		super();
	}
	
	public function destroy():Void {
		// Grid data
		if (this.gridData) {
			this.gridData.destroy();
			delete this.gridData;
		}
		
		super.destroy();
	}		
	
}