/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.common.PlanCheckDescription"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.common.ConfigurationElement"); //$NON-NLS-1$

(function() {

var ConfigurationElement			= com.ibm.team.apt.common.ConfigurationElement;

dojo.declare("com.ibm.team.apt.common.PlanCheckDescription", ConfigurationElement, { //$NON-NLS-1$

	constructor: function(planCheckDTO) {

		this.problemDefinitions= {};

		dojo.forEach(planCheckDTO.problemDefinitions, function(problemDefinition) {
			this.problemDefinitions[problemDefinition.id]= {
					id: problemDefinition.id,
					shortName: problemDefinition.shortName,
					severity: problemDefinition.severity
			};
		}, this);
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	problemDefinitions: null,

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});


})();
